/*
 * Class EV_FILE_DIALOG_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1276 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1276 [] = {0xFF01,1551,1275,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1276 [] = {0xFF01,1275,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1276 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1276 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1276 [] = {0xFF01,1275,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1276 [] = {0xFF01,1275,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1276 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1276 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1276 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1276 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1276 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1276 [] = {0xFF01,1275,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1276 [] = {0xFF01,0xFF01,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1276 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1276 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1276 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1276 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1276 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1276 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1276 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1276 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1276 [] = {0xFF01,1567,0xFF01,0xFFF9,2,840,0xFF01,911,0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1276 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1276 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1276 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1276 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1276[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1276), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1276), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1276), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1276), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1276), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1276), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1276), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1276), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1276), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1276), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1276), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1276), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x09F7 /*1275*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1276), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28216, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1276), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0891 /*1096*/), 28107, 8},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 32},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1276), 7983, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1276), 7985, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7984, 0},
	{EIF_GENERIC(egt_16_1276), 7981, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1276), 7986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7982, 4},
	{EIF_GENERIC(egt_18_1276), 5569, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1276), 5570, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1276), 5571, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1276), 5572, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1276), 5573, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1276), 5574, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1276), 5575, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1276), 5576, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1276), 5577, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1276), 5578, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1276), 5579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1276), 5580, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1276), 5581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1276), 5582, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1276), 5583, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1276), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x081B /*1037*/), 28116, 20},
	{EIF_NON_GENERIC(0x0737 /*923*/), 28120, 16},
	{EIF_GENERIC(NULL), 28117, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28226, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1276), 28106, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1276), 28217, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1276), 28218, 28},
	{EIF_GENERIC(egt_37_1276), 28112, 12},
	{EIF_GENERIC(egt_38_1276), 28219, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28220, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28221, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28222, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28223, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28224, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28225, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28119, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0737 /*923*/), 28120, 16},
	{EIF_NON_GENERIC(0x081B /*1037*/), 28116, 20},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1276), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_1276), 28219, 24},
	{EIF_GENERIC(egt_41_1276), 28218, 28},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1276(void)
{
	IDSC(desc_1276, 0, 1275);
	IDSC(desc_1276 + 1, 1, 1275);
	IDSC(desc_1276 + 32, 1513, 1275);
	IDSC(desc_1276 + 59, 88, 1275);
	IDSC(desc_1276 + 65, 319, 1275);
	IDSC(desc_1276 + 80, 1464, 1275);
	IDSC(desc_1276 + 87, 574, 1275);
	IDSC(desc_1276 + 97, 456, 1275);
	IDSC(desc_1276 + 104, 338, 1275);
	IDSC(desc_1276 + 113, 46, 1275);
	IDSC(desc_1276 + 119, 1623, 1275);
}


#ifdef __cplusplus
}
#endif
